Bug 1385534 - Review Request: python-ruamel-ordereddict - Ordered dictionary with Key Insertion Order
Summary: Review Request: python-ruamel-ordereddict - Ordered dictionary with Key Inse...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-17 09:45 UTC by Chandan Kumar
Modified: 2017-02-14 15:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-24 20:50:22 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Chandan Kumar 2016-10-17 09:45:26 UTC
Spec URL: https://chandankumar.fedorapeople.org/python-ruamel-ordereddict.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-ruamel-ordereddict-0.4.9-1.fc24.src.rpm
Description: This is an implementation of an ordered dictionary with Key Insertion Order
(KIO: updates of values do not affect the position of the key), Key Value
Insertion Order (KVIO, an existing key's position is removed and put at 
the back). The standard library module OrderedDict, implemented later,
implements a subset of ordereddict functionality.

Fedora Account System Username: chandankumar
Success Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16105140

Comment 1 Parag AN(पराग) 2016-10-18 09:44:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
1) Directory ownership issue. change
%{python2_sitearch}/ruamel/ordereddict
to
%{python2_sitearch}/ruamel/

for both python2 and python3 subpackages

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 15 files have unknown license. Detailed
     output of licensecheck in /home/parag/1385534-python-ruamel-
     ordereddict/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/python2.7/site-packages/ruamel
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python2.7/site-
     packages/ruamel
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -ruamel-ordereddict , python-ruamel-ordereddict-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-ruamel-ordereddict-0.4.9-1.fc26.x86_64.rpm
          python-ruamel-ordereddict-debuginfo-0.4.9-1.fc26.x86_64.rpm
          python-ruamel-ordereddict-0.4.9-1.fc26.src.rpm
python-ruamel-ordereddict.src: W: invalid-url Source0: https://files.pythonhosted.org/packages/source/r/ruamel.ordereddict/ruamel.ordereddict-0.4.9.tar.gz <urlopen error [Errno 101] Network is unreachable>
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-ruamel-ordereddict-debuginfo-0.4.9-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-ruamel-ordereddict (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    python2-setuptools
    rtld(GNU_HASH)

python-ruamel-ordereddict-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
python2-ruamel-ordereddict:
    python-ruamel-ordereddict
    python-ruamel-ordereddict(x86-64)
    python2-ruamel-ordereddict
    python2-ruamel-ordereddict(x86-64)
    python2.7dist(ruamel.ordereddict)
    python2dist(ruamel.ordereddict)

python-ruamel-ordereddict-debuginfo:
    python-ruamel-ordereddict-debuginfo
    python-ruamel-ordereddict-debuginfo(x86-64)



Unversioned so-files
--------------------
python2-ruamel-ordereddict: /usr/lib64/python2.7/site-packages/_ordereddict.so

Source checksums
----------------
https://files.pythonhosted.org/packages/source/r/ruamel.ordereddict/ruamel.ordereddict-0.4.9.tar.gz :
  CHECKSUM(SHA256) this package     : 7058c470f131487a3039fb9536dda9dd17004a7581bdeeafa836269a36a2b3f6
  CHECKSUM(SHA256) upstream package : 7058c470f131487a3039fb9536dda9dd17004a7581bdeeafa836269a36a2b3f6


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1385534 -m fedora-rawhide-x86_64

APPROVED.

Comment 2 Gwyn Ciesla 2016-10-18 12:32:56 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-ruamel-ordereddict

Comment 3 Fedora Update System 2016-10-19 18:55:31 UTC
python-ruamel-ordereddict-0.4.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b848089218

Comment 4 Fedora Update System 2016-10-19 19:56:07 UTC
python-ruamel-ordereddict-0.4.9-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d89c5fa874

Comment 5 Fedora Update System 2016-10-21 16:50:27 UTC
python-ruamel-ordereddict-0.4.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b4d4fb4c3

Comment 6 Fedora Update System 2016-10-26 02:48:39 UTC
python-ruamel-ordereddict-0.4.9-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-69abd7ff4b

Comment 7 Orion Poplawski 2016-10-26 20:39:55 UTC
I checked in a change to run the tests and bring the master and epel7 branches in sync.

Comment 8 Fedora Update System 2017-01-24 20:50:22 UTC
python-ruamel-ordereddict-0.4.9-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-02-13 22:21:50 UTC
python-ruamel-ordereddict-0.4.9-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-02-14 15:48:32 UTC
python-ruamel-ordereddict-0.4.9-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.